;;; -*-scheme-*- (/home/ttn/local/share/xcb/composite.xml)
(xcb ((header . composite)
      (extension-xname . Composite)
      (extension-name . Composite)
      (major-version . 0)
      (minor-version . 3))
     (import () xproto)
     (import () xfixes)
     (enum ((name . Redirect))
           (item ((name . Automatic)))
           (item ((name . Manual))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD32)
               (name . client-major-version)))
       (field ((type . CARD32)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (request
       ((name . RedirectWindow) (opcode . 1))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD8) (name . update)))
       (pad ((bytes . 3))))
     (request
       ((name . RedirectSubwindows) (opcode . 2))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD8) (name . update)))
       (pad ((bytes . 3))))
     (request
       ((name . UnredirectWindow) (opcode . 3))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD8) (name . update)))
       (pad ((bytes . 3))))
     (request
       ((name . UnredirectSubwindows) (opcode . 4))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD8) (name . update)))
       (pad ((bytes . 3))))
     (request
       ((name . CreateRegionFromBorderClip)
        (opcode . 5))
       (field ((type . REGION) (name . region)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . NameWindowPixmap) (opcode . 6))
       (field ((type . WINDOW) (name . window)))
       (field ((type . PIXMAP) (name . pixmap))))
     (request
       ((name . GetOverlayWindow) (opcode . 7))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . WINDOW) (name . overlay-win)))
              (pad ((bytes . 20)))))
     (request
       ((name . ReleaseOverlayWindow) (opcode . 8))
       (field ((type . WINDOW) (name . window)))))
