;;; -*-scheme-*- (/home/ttn/local/share/xcb/damage.xml)
(xcb ((header . damage)
      (extension-xname . DAMAGE)
      (extension-name . Damage)
      (major-version . 1)
      (minor-version . 0))
     (import () xproto)
     (import () xfixes)
     (xidtype ((name . DAMAGE)))
     (enum ((name . ReportLevel))
           (item ((name . RawRectangles)))
           (item ((name . DeltaRectangles)))
           (item ((name . BoundingBox)))
           (item ((name . NonEmpty))))
     (error ((name . BadDamage) (number . 0)))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD32)
               (name . client-major-version)))
       (field ((type . CARD32)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (request
       ((name . Create) (opcode . 1))
       (field ((type . DAMAGE) (name . damage)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD8) (name . level)))
       (pad ((bytes . 3))))
     (request
       ((name . Destroy) (opcode . 2))
       (field ((type . DAMAGE) (name . damage))))
     (request
       ((name . Subtract) (opcode . 3))
       (field ((type . DAMAGE) (name . damage)))
       (field ((type . REGION) (name . repair)))
       (field ((type . REGION) (name . parts))))
     (event ((name . Notify) (number . 0))
            (field ((type . CARD8) (name . level)))
            (field ((type . DRAWABLE) (name . drawable)))
            (field ((type . DAMAGE) (name . damage)))
            (field ((type . TIMESTAMP) (name . timestamp)))
            (field ((type . RECTANGLE) (name . area)))
            (field ((type . RECTANGLE) (name . geometry)))))
