;;; -*-scheme-*- (/home/ttn/local/share/xcb/shm.xml)
(xcb ((header . shm)
      (extension-xname . MIT-SHM)
      (extension-name . Shm)
      (major-version . 1)
      (minor-version . 1))
     (import () xproto)
     (xidtype ((name . SEG)))
     (event ((name . Completion) (number . 0))
            (pad ((bytes . 1)))
            (field ((type . DRAWABLE) (name . drawable)))
            (field ((type . SEG) (name . shmseg)))
            (field ((type . CARD16) (name . minor-event)))
            (field ((type . BYTE) (name . major-event)))
            (pad ((bytes . 1)))
            (field ((type . CARD32) (name . offset))))
     (errorcopy
       ((name . BadSeg)
        (number . 0)
        (ref . Value)))
     (request
       ((name . QueryVersion) (opcode . 0))
       (reply ()
              (field ((type . BOOL) (name . shared-pixmaps)))
              (field ((type . CARD16) (name . major-version)))
              (field ((type . CARD16) (name . minor-version)))
              (field ((type . CARD16) (name . uid)))
              (field ((type . CARD16) (name . gid)))
              (field ((type . CARD8) (name . pixmap-format)))))
     (request
       ((name . Attach) (opcode . 1))
       (field ((type . SEG) (name . shmseg)))
       (field ((type . CARD32) (name . shmid)))
       (field ((type . BOOL) (name . read-only))))
     (request
       ((name . Detach) (opcode . 2))
       (field ((type . SEG) (name . shmseg))))
     (request
       ((name . PutImage) (opcode . 3))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . CARD16) (name . total-width)))
       (field ((type . CARD16) (name . total-height)))
       (field ((type . CARD16) (name . src-x)))
       (field ((type . CARD16) (name . src-y)))
       (field ((type . CARD16) (name . src-width)))
       (field ((type . CARD16) (name . src-height)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y)))
       (field ((type . CARD8) (name . depth)))
       (field ((type . CARD8) (name . format)))
       (field ((type . CARD8) (name . send-event)))
       (pad ((bytes . 1)))
       (field ((type . SEG) (name . shmseg)))
       (field ((type . CARD32) (name . offset))))
     (request
       ((name . GetImage) (opcode . 4))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD32) (name . plane-mask)))
       (field ((type . CARD8) (name . format)))
       (pad ((bytes . 3)))
       (field ((type . SEG) (name . shmseg)))
       (field ((type . CARD32) (name . offset)))
       (reply ()
              (field ((type . CARD8) (name . depth)))
              (field ((type . VISUALID) (name . visual)))
              (field ((type . CARD32) (name . size)))))
     (request
       ((name . CreatePixmap) (opcode . 5))
       (field ((type . PIXMAP) (name . pid)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD8) (name . depth)))
       (pad ((bytes . 3)))
       (field ((type . SEG) (name . shmseg)))
       (field ((type . CARD32) (name . offset)))))
