;;; -*-scheme-*- (/home/ttn/local/share/xcb/xproto.xml)
(xcb ((header . xproto))
     (struct
       ((name . CHAR2B))
       (field ((type . CARD8) (name . byte1)))
       (field ((type . CARD8) (name . byte2))))
     (xidtype ((name . WINDOW)))
     (xidtype ((name . PIXMAP)))
     (xidtype ((name . CURSOR)))
     (xidtype ((name . FONT)))
     (xidtype ((name . GCONTEXT)))
     (xidtype ((name . COLORMAP)))
     (xidtype ((name . ATOM)))
     (xidunion
       ((name . DRAWABLE))
       (type () WINDOW)
       (type () PIXMAP))
     (xidunion
       ((name . FONTABLE))
       (type () FONT)
       (type () GCONTEXT))
     (typedef
       ((oldname . CARD32) (newname . VISUALID)))
     (typedef
       ((oldname . CARD32) (newname . TIMESTAMP)))
     (typedef
       ((oldname . CARD32) (newname . KEYSYM)))
     (typedef
       ((oldname . CARD8) (newname . KEYCODE)))
     (typedef
       ((oldname . CARD8) (newname . BUTTON)))
     (struct
       ((name . POINT))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y))))
     (struct
       ((name . RECTANGLE))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (struct
       ((name . ARC))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . INT16) (name . angle1)))
       (field ((type . INT16) (name . angle2))))
     (struct
       ((name . FORMAT))
       (field ((type . CARD8) (name . depth)))
       (field ((type . CARD8) (name . bits-per-pixel)))
       (field ((type . CARD8) (name . scanline-pad)))
       (pad ((bytes . 5))))
     (enum ((name . VisualClass))
           (item ((name . StaticGray)) (value () 0))
           (item ((name . GrayScale)) (value () 1))
           (item ((name . StaticColor)) (value () 2))
           (item ((name . PseudoColor)) (value () 3))
           (item ((name . TrueColor)) (value () 4))
           (item ((name . DirectColor)) (value () 5)))
     (struct
       ((name . VISUALTYPE))
       (field ((type . VISUALID) (name . visual-id)))
       (field ((type . CARD8) (name . class)))
       (field ((type . CARD8) (name . bits-per-rgb-value)))
       (field ((type . CARD16) (name . colormap-entries)))
       (field ((type . CARD32) (name . red-mask)))
       (field ((type . CARD32) (name . green-mask)))
       (field ((type . CARD32) (name . blue-mask)))
       (pad ((bytes . 4))))
     (struct
       ((name . DEPTH))
       (field ((type . CARD8) (name . depth)))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . visuals-len)))
       (pad ((bytes . 4)))
       (list ((type . VISUALTYPE) (name . visuals))
             (fieldref () visuals-len)))
     (struct
       ((name . SCREEN))
       (field ((type . WINDOW) (name . root)))
       (field ((type . COLORMAP) (name . default-colormap)))
       (field ((type . CARD32) (name . white-pixel)))
       (field ((type . CARD32) (name . black-pixel)))
       (field ((type . CARD32)
               (name . current-input-masks)))
       (field ((type . CARD16) (name . width-in-pixels)))
       (field ((type . CARD16) (name . height-in-pixels)))
       (field ((type . CARD16)
               (name . width-in-millimeters)))
       (field ((type . CARD16)
               (name . height-in-millimeters)))
       (field ((type . CARD16) (name . min-installed-maps)))
       (field ((type . CARD16) (name . max-installed-maps)))
       (field ((type . VISUALID) (name . root-visual)))
       (field ((type . BYTE) (name . backing-stores)))
       (field ((type . BOOL) (name . save-unders)))
       (field ((type . CARD8) (name . root-depth)))
       (field ((type . CARD8) (name . allowed-depths-len)))
       (list ((type . DEPTH) (name . allowed-depths))
             (fieldref () allowed-depths-len)))
     (struct
       ((name . SetupRequest))
       (field ((type . CARD8) (name . byte-order)))
       (pad ((bytes . 1)))
       (field ((type . CARD16)
               (name . protocol-major-version)))
       (field ((type . CARD16)
               (name . protocol-minor-version)))
       (field ((type . CARD16)
               (name . authorization-protocol-name-len)))
       (field ((type . CARD16)
               (name . authorization-protocol-data-len)))
       (list ((type . char)
              (name . authorization-protocol-name))
             (fieldref () authorization-protocol-name-len))
       (list ((type . char)
              (name . authorization-protocol-data))
             (fieldref () authorization-protocol-data-len)))
     (struct
       ((name . SetupFailed))
       (field ((type . CARD8) (name . status)))
       (field ((type . CARD8) (name . reason-len)))
       (field ((type . CARD16)
               (name . protocol-major-version)))
       (field ((type . CARD16)
               (name . protocol-minor-version)))
       (field ((type . CARD16) (name . length)))
       (list ((type . char) (name . reason))
             (fieldref () reason-len)))
     (struct
       ((name . SetupAuthenticate))
       (field ((type . CARD8) (name . status)))
       (pad ((bytes . 5)))
       (field ((type . CARD16) (name . length)))
       (list ((type . char) (name . reason))
             (op ((op . *))
                 (fieldref () length)
                 (value () 4))))
     (enum ((name . ImageOrder))
           (item ((name . LSBFirst)) (value () 0))
           (item ((name . MSBFirst)) (value () 1)))
     (struct
       ((name . Setup))
       (field ((type . CARD8) (name . status)))
       (pad ((bytes . 1)))
       (field ((type . CARD16)
               (name . protocol-major-version)))
       (field ((type . CARD16)
               (name . protocol-minor-version)))
       (field ((type . CARD16) (name . length)))
       (field ((type . CARD32) (name . release-number)))
       (field ((type . CARD32) (name . resource-id-base)))
       (field ((type . CARD32) (name . resource-id-mask)))
       (field ((type . CARD32) (name . motion-buffer-size)))
       (field ((type . CARD16) (name . vendor-len)))
       (field ((type . CARD16)
               (name . maximum-request-length)))
       (field ((type . CARD8) (name . roots-len)))
       (field ((type . CARD8) (name . pixmap-formats-len)))
       (field ((type . CARD8) (name . image-byte-order)))
       (field ((type . CARD8)
               (name . bitmap-format-bit-order)))
       (field ((type . CARD8)
               (name . bitmap-format-scanline-unit)))
       (field ((type . CARD8)
               (name . bitmap-format-scanline-pad)))
       (field ((type . KEYCODE) (name . min-keycode)))
       (field ((type . KEYCODE) (name . max-keycode)))
       (pad ((bytes . 4)))
       (list ((type . char) (name . vendor))
             (fieldref () vendor-len))
       (list ((type . FORMAT) (name . pixmap-formats))
             (fieldref () pixmap-formats-len))
       (list ((type . SCREEN) (name . roots))
             (fieldref () roots-len)))
     (enum ((name . ModMask))
           (item ((name . Shift)) (bit () 0))
           (item ((name . Lock)) (bit () 1))
           (item ((name . Control)) (bit () 2))
           (item ((name . 1)) (bit () 3))
           (item ((name . 2)) (bit () 4))
           (item ((name . 3)) (bit () 5))
           (item ((name . 4)) (bit () 6))
           (item ((name . 5)) (bit () 7)))
     (event ((name . KeyPress) (number . 2))
            (field ((type . KEYCODE) (name . detail)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . child)))
            (field ((type . INT16) (name . root-x)))
            (field ((type . INT16) (name . root-y)))
            (field ((type . INT16) (name . event-x)))
            (field ((type . INT16) (name . event-y)))
            (field ((type . CARD16) (name . state)))
            (field ((type . BOOL) (name . same-screen))))
     (eventcopy
       ((name . KeyRelease)
        (number . 3)
        (ref . KeyPress)))
     (enum ((name . ButtonMask))
           (item ((name . 1)) (bit () 8))
           (item ((name . 2)) (bit () 9))
           (item ((name . 3)) (bit () 10))
           (item ((name . 4)) (bit () 11))
           (item ((name . 5)) (bit () 12))
           (item ((name . Any)) (bit () 15)))
     (event ((name . ButtonPress) (number . 4))
            (field ((type . BUTTON) (name . detail)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . child)))
            (field ((type . INT16) (name . root-x)))
            (field ((type . INT16) (name . root-y)))
            (field ((type . INT16) (name . event-x)))
            (field ((type . INT16) (name . event-y)))
            (field ((type . CARD16) (name . state)))
            (field ((type . BOOL) (name . same-screen))))
     (eventcopy
       ((name . ButtonRelease)
        (number . 5)
        (ref . ButtonPress)))
     (enum ((name . Motion))
           (item ((name . Normal)) (value () 0))
           (item ((name . Hint)) (value () 1)))
     (event ((name . MotionNotify) (number . 6))
            (field ((type . BYTE) (name . detail)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . child)))
            (field ((type . INT16) (name . root-x)))
            (field ((type . INT16) (name . root-y)))
            (field ((type . INT16) (name . event-x)))
            (field ((type . INT16) (name . event-y)))
            (field ((type . CARD16) (name . state)))
            (field ((type . BOOL) (name . same-screen))))
     (enum ((name . NotifyDetail))
           (item ((name . Ancestor)) (value () 0))
           (item ((name . Virtual)) (value () 1))
           (item ((name . Inferior)) (value () 2))
           (item ((name . Nonlinear)) (value () 3))
           (item ((name . NonlinearVirtual))
                 (value () 4))
           (item ((name . Pointer)) (value () 5))
           (item ((name . PointerRoot)) (value () 6))
           (item ((name . None)) (value () 7)))
     (enum ((name . NotifyMode))
           (item ((name . Normal)) (value () 0))
           (item ((name . Grab)) (value () 1))
           (item ((name . Ungrab)) (value () 2))
           (item ((name . WhileGrabbed)) (value () 3)))
     (event ((name . EnterNotify) (number . 7))
            (field ((type . BYTE) (name . detail)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . child)))
            (field ((type . INT16) (name . root-x)))
            (field ((type . INT16) (name . root-y)))
            (field ((type . INT16) (name . event-x)))
            (field ((type . INT16) (name . event-y)))
            (field ((type . CARD16) (name . state)))
            (field ((type . BYTE) (name . mode)))
            (field ((type . BYTE) (name . same-screen-focus))))
     (eventcopy
       ((name . LeaveNotify)
        (number . 8)
        (ref . EnterNotify)))
     (event ((name . FocusIn) (number . 9))
            (field ((type . BYTE) (name . detail)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . BYTE) (name . mode))))
     (eventcopy
       ((name . FocusOut)
        (number . 10)
        (ref . FocusIn)))
     (event ((name . KeymapNotify)
             (number . 11)
             (no-sequence-number . true))
            (list ((type . CARD8) (name . keys))
                  (value () 31)))
     (event ((name . Expose) (number . 12))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . CARD16) (name . x)))
            (field ((type . CARD16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . count))))
     (event ((name . GraphicsExposure) (number . 13))
            (pad ((bytes . 1)))
            (field ((type . DRAWABLE) (name . drawable)))
            (field ((type . CARD16) (name . x)))
            (field ((type . CARD16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD16) (name . count)))
            (field ((type . CARD8) (name . major-opcode))))
     (event ((name . NoExposure) (number . 14))
            (pad ((bytes . 1)))
            (field ((type . DRAWABLE) (name . drawable)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode))))
     (enum ((name . Visibility))
           (item ((name . Unobscured)) (value () 0))
           (item ((name . PartiallyObscured))
                 (value () 1))
           (item ((name . FullyObscured)) (value () 2)))
     (event ((name . VisibilityNotify) (number . 15))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . BYTE) (name . state))))
     (event ((name . CreateNotify) (number . 16))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . parent)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . INT16) (name . x)))
            (field ((type . INT16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . border-width)))
            (field ((type . BOOL) (name . override-redirect))))
     (event ((name . DestroyNotify) (number . 17))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window))))
     (event ((name . UnmapNotify) (number . 18))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . BOOL) (name . from-configure))))
     (event ((name . MapNotify) (number . 19))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . BOOL) (name . override-redirect))))
     (event ((name . MapRequest) (number . 20))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . parent)))
            (field ((type . WINDOW) (name . window))))
     (event ((name . ReparentNotify) (number . 21))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . WINDOW) (name . parent)))
            (field ((type . INT16) (name . x)))
            (field ((type . INT16) (name . y)))
            (field ((type . BOOL) (name . override-redirect))))
     (event ((name . ConfigureNotify) (number . 22))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . WINDOW) (name . above-sibling)))
            (field ((type . INT16) (name . x)))
            (field ((type . INT16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . border-width)))
            (field ((type . BOOL) (name . override-redirect))))
     (event ((name . ConfigureRequest) (number . 23))
            (field ((type . BYTE) (name . stack-mode)))
            (field ((type . WINDOW) (name . parent)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . WINDOW) (name . sibling)))
            (field ((type . INT16) (name . x)))
            (field ((type . INT16) (name . y)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height)))
            (field ((type . CARD16) (name . border-width)))
            (field ((type . CARD16) (name . value-mask))))
     (event ((name . GravityNotify) (number . 24))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . INT16) (name . x)))
            (field ((type . INT16) (name . y))))
     (event ((name . ResizeRequest) (number . 25))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . CARD16) (name . width)))
            (field ((type . CARD16) (name . height))))
     (enum ((name . Place))
           (item ((name . OnTop)) (value () 0))
           (item ((name . OnBottom)) (value () 1)))
     (event ((name . CirculateNotify) (number . 26))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . event)))
            (field ((type . WINDOW) (name . window)))
            (pad ((bytes . 4)))
            (field ((type . BYTE) (name . place))))
     (eventcopy
       ((name . CirculateRequest)
        (number . 27)
        (ref . CirculateNotify)))
     (enum ((name . Property))
           (item ((name . NewValue)) (value () 0))
           (item ((name . Delete)) (value () 1)))
     (event ((name . PropertyNotify) (number . 28))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . ATOM) (name . atom)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . BYTE) (name . state))))
     (event ((name . SelectionClear) (number . 29))
            (pad ((bytes . 1)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . owner)))
            (field ((type . ATOM) (name . selection))))
     (event ((name . SelectionRequest) (number . 30))
            (pad ((bytes . 1)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . owner)))
            (field ((type . WINDOW) (name . requestor)))
            (field ((type . ATOM) (name . selection)))
            (field ((type . ATOM) (name . target)))
            (field ((type . ATOM) (name . property))))
     (event ((name . SelectionNotify) (number . 31))
            (pad ((bytes . 1)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . requestor)))
            (field ((type . ATOM) (name . selection)))
            (field ((type . ATOM) (name . target)))
            (field ((type . ATOM) (name . property))))
     (enum ((name . ColormapState))
           (item ((name . Uninstalled)) (value () 0))
           (item ((name . Installed)) (value () 1)))
     (event ((name . ColormapNotify) (number . 32))
            (pad ((bytes . 1)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . COLORMAP) (name . colormap)))
            (field ((type . BOOL) (name . new)))
            (field ((type . BYTE) (name . state))))
     (union ((name . ClientMessageData))
            (list ((type . CARD8) (name . data8))
                  (value () 20))
            (list ((type . CARD16) (name . data16))
                  (value () 10))
            (list ((type . CARD32) (name . data32))
                  (value () 5)))
     (event ((name . ClientMessage) (number . 33))
            (field ((type . CARD8) (name . format)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . ATOM) (name . type)))
            (field ((type . ClientMessageData) (name . data))))
     (enum ((name . Mapping))
           (item ((name . Modifier)) (value () 0))
           (item ((name . Keyboard)) (value () 1))
           (item ((name . Pointer)) (value () 2)))
     (event ((name . MappingNotify) (number . 34))
            (pad ((bytes . 1)))
            (field ((type . BYTE) (name . request)))
            (field ((type . KEYCODE) (name . first-keycode)))
            (field ((type . CARD8) (name . count))))
     (error ((name . Request) (number . 1))
            (field ((type . CARD32) (name . bad-value)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode))))
     (error ((name . Value) (number . 2))
            (field ((type . CARD32) (name . bad-value)))
            (field ((type . CARD16) (name . minor-opcode)))
            (field ((type . CARD8) (name . major-opcode))))
     (errorcopy
       ((name . Window)
        (number . 3)
        (ref . Value)))
     (errorcopy
       ((name . Pixmap)
        (number . 4)
        (ref . Value)))
     (errorcopy
       ((name . Atom) (number . 5) (ref . Value)))
     (errorcopy
       ((name . Cursor)
        (number . 6)
        (ref . Value)))
     (errorcopy
       ((name . Font) (number . 7) (ref . Value)))
     (errorcopy
       ((name . Match)
        (number . 8)
        (ref . Request)))
     (errorcopy
       ((name . Drawable)
        (number . 9)
        (ref . Value)))
     (errorcopy
       ((name . Access)
        (number . 10)
        (ref . Request)))
     (errorcopy
       ((name . Alloc)
        (number . 11)
        (ref . Request)))
     (errorcopy
       ((name . Colormap)
        (number . 12)
        (ref . Value)))
     (errorcopy
       ((name . GContext)
        (number . 13)
        (ref . Value)))
     (errorcopy
       ((name . IDChoice)
        (number . 14)
        (ref . Value)))
     (errorcopy
       ((name . Name)
        (number . 15)
        (ref . Request)))
     (errorcopy
       ((name . Length)
        (number . 16)
        (ref . Request)))
     (errorcopy
       ((name . Implementation)
        (number . 17)
        (ref . Request)))
     (enum ((name . WindowClass))
           (item ((name . CopyFromParent)) (value () 0))
           (item ((name . InputOutput)) (value () 1))
           (item ((name . InputOnly)) (value () 2)))
     (enum ((name . CW))
           (item ((name . BackPixmap)) (bit () 0))
           (item ((name . BackPixel)) (bit () 1))
           (item ((name . BorderPixmap)) (bit () 2))
           (item ((name . BorderPixel)) (bit () 3))
           (item ((name . BitGravity)) (bit () 4))
           (item ((name . WinGravity)) (bit () 5))
           (item ((name . BackingStore)) (bit () 6))
           (item ((name . BackingPlanes)) (bit () 7))
           (item ((name . BackingPixel)) (bit () 8))
           (item ((name . OverrideRedirect)) (bit () 9))
           (item ((name . SaveUnder)) (bit () 10))
           (item ((name . EventMask)) (bit () 11))
           (item ((name . DontPropagate)) (bit () 12))
           (item ((name . Colormap)) (bit () 13))
           (item ((name . Cursor)) (bit () 14)))
     (enum ((name . BackPixmap))
           (item ((name . None)) (value () 0))
           (item ((name . ParentRelative)) (value () 1)))
     (enum ((name . Gravity))
           (item ((name . BitForget)) (value () 0))
           (item ((name . WinUnmap)) (value () 0))
           (item ((name . NorthWest)) (value () 1))
           (item ((name . North)) (value () 2))
           (item ((name . NorthEast)) (value () 3))
           (item ((name . West)) (value () 4))
           (item ((name . Center)) (value () 5))
           (item ((name . East)) (value () 6))
           (item ((name . SouthWest)) (value () 7))
           (item ((name . South)) (value () 8))
           (item ((name . SouthEast)) (value () 9))
           (item ((name . Static)) (value () 10)))
     (enum ((name . BackingStore))
           (item ((name . NotUseful)) (value () 0))
           (item ((name . WhenMapped)) (value () 1))
           (item ((name . Always)) (value () 2)))
     (enum ((name . EventMask))
           (item ((name . NoEvent)) (value () 0))
           (item ((name . KeyPress)) (bit () 0))
           (item ((name . KeyRelease)) (bit () 1))
           (item ((name . ButtonPress)) (bit () 2))
           (item ((name . ButtonRelease)) (bit () 3))
           (item ((name . EnterWindow)) (bit () 4))
           (item ((name . LeaveWindow)) (bit () 5))
           (item ((name . PointerMotion)) (bit () 6))
           (item ((name . PointerMotionHint))
                 (bit () 7))
           (item ((name . Button1Motion)) (bit () 8))
           (item ((name . Button2Motion)) (bit () 9))
           (item ((name . Button3Motion)) (bit () 10))
           (item ((name . Button4Motion)) (bit () 11))
           (item ((name . Button5Motion)) (bit () 12))
           (item ((name . ButtonMotion)) (bit () 13))
           (item ((name . KeymapState)) (bit () 14))
           (item ((name . Exposure)) (bit () 15))
           (item ((name . VisibilityChange))
                 (bit () 16))
           (item ((name . StructureNotify)) (bit () 17))
           (item ((name . ResizeRedirect)) (bit () 18))
           (item ((name . SubstructureNotify))
                 (bit () 19))
           (item ((name . SubstructureRedirect))
                 (bit () 20))
           (item ((name . FocusChange)) (bit () 21))
           (item ((name . PropertyChange)) (bit () 22))
           (item ((name . ColorMapChange)) (bit () 23))
           (item ((name . OwnerGrabButton)) (bit () 24)))
     (request
       ((name . CreateWindow) (opcode . 1))
       (field ((type . CARD8) (name . depth)))
       (field ((type . WINDOW) (name . wid)))
       (field ((type . WINDOW) (name . parent)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD16) (name . border-width)))
       (field ((type . CARD16) (name . class)))
       (field ((type . VISUALID) (name . visual)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . ChangeWindowAttributes)
        (opcode . 2))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (enum ((name . MapState))
           (item ((name . Unmapped)) (value () 0))
           (item ((name . Unviewable)) (value () 1))
           (item ((name . Viewable)) (value () 2)))
     (request
       ((name . GetWindowAttributes) (opcode . 3))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (field ((type . CARD8) (name . backing-store)))
              (field ((type . VISUALID) (name . visual)))
              (field ((type . CARD16) (name . class)))
              (field ((type . CARD8) (name . bit-gravity)))
              (field ((type . CARD8) (name . win-gravity)))
              (field ((type . CARD32) (name . backing-planes)))
              (field ((type . CARD32) (name . backing-pixel)))
              (field ((type . BOOL) (name . save-under)))
              (field ((type . BOOL) (name . map-is-installed)))
              (field ((type . CARD8) (name . map-state)))
              (field ((type . BOOL) (name . override-redirect)))
              (field ((type . COLORMAP) (name . colormap)))
              (field ((type . CARD32) (name . all-event-masks)))
              (field ((type . CARD32) (name . your-event-mask)))
              (field ((type . CARD16)
                      (name . do-not-propagate-mask)))))
     (request
       ((name . DestroyWindow) (opcode . 4))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . DestroySubwindows) (opcode . 5))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (enum ((name . SetMode))
           (item ((name . Insert)) (value () 0))
           (item ((name . Delete)) (value () 1)))
     (request
       ((name . ChangeSaveSet) (opcode . 6))
       (field ((type . BYTE) (name . mode)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . ReparentWindow) (opcode . 7))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . WINDOW) (name . parent)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y))))
     (request
       ((name . MapWindow) (opcode . 8))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . MapSubwindows) (opcode . 9))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . UnmapWindow) (opcode . 10))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . UnmapSubwindows) (opcode . 11))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window))))
     (enum ((name . ConfigWindow))
           (item ((name . X)) (bit () 0))
           (item ((name . Y)) (bit () 1))
           (item ((name . Width)) (bit () 2))
           (item ((name . Height)) (bit () 3))
           (item ((name . BorderWidth)) (bit () 4))
           (item ((name . Sibling)) (bit () 5))
           (item ((name . StackMode)) (bit () 6)))
     (enum ((name . StackMode))
           (item ((name . Above)) (value () 0))
           (item ((name . Below)) (value () 1))
           (item ((name . TopIf)) (value () 2))
           (item ((name . BottomIf)) (value () 3))
           (item ((name . Opposite)) (value () 4)))
     (request
       ((name . ConfigureWindow) (opcode . 12))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (valueparam
         ((value-mask-type . CARD16)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (enum ((name . Circulate))
           (item ((name . RaiseLowest)) (value () 0))
           (item ((name . LowerHighest)) (value () 1)))
     (request
       ((name . CirculateWindow) (opcode . 13))
       (field ((type . CARD8) (name . direction)))
       (field ((type . WINDOW) (name . window))))
     (request
       ((name . GetGeometry) (opcode . 14))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (reply ()
              (field ((type . CARD8) (name . depth)))
              (field ((type . WINDOW) (name . root)))
              (field ((type . INT16) (name . x)))
              (field ((type . INT16) (name . y)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))
              (field ((type . CARD16) (name . border-width)))))
     (request
       ((name . QueryTree) (opcode . 15))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . WINDOW) (name . root)))
              (field ((type . WINDOW) (name . parent)))
              (field ((type . CARD16) (name . children-len)))
              (pad ((bytes . 14)))
              (list ((type . WINDOW) (name . children))
                    (fieldref () children-len))))
     (request
       ((name . InternAtom) (opcode . 16))
       (field ((type . BOOL) (name . only-if-exists)))
       (field ((type . CARD16) (name . name-len)))
       (pad ((bytes . 2)))
       (list ((type . char) (name . name))
             (fieldref () name-len))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . ATOM) (name . atom)))))
     (request
       ((name . GetAtomName) (opcode . 17))
       (pad ((bytes . 1)))
       (field ((type . ATOM) (name . atom)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . name-len)))
              (pad ((bytes . 22)))
              (list ((type . CARD8) (name . name))
                    (fieldref () name-len))))
     (enum ((name . PropMode))
           (item ((name . Replace)) (value () 0))
           (item ((name . Prepend)) (value () 1))
           (item ((name . Append)) (value () 2)))
     (request
       ((name . ChangeProperty) (opcode . 18))
       (field ((type . CARD8) (name . mode)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . ATOM) (name . property)))
       (field ((type . ATOM) (name . type)))
       (field ((type . CARD8) (name . format)))
       (pad ((bytes . 3)))
       (field ((type . CARD32) (name . data-len)))
       (list ((type . void) (name . data))
             (op ((op . /))
                 (op ((op . *))
                     (fieldref () data-len)
                     (fieldref () format))
                 (value () 8))))
     (request
       ((name . DeleteProperty) (opcode . 19))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . ATOM) (name . property))))
     (enum ((name . GetPropertyType))
           (item ((name . Any)) (value () 0)))
     (request
       ((name . GetProperty) (opcode . 20))
       (field ((type . BOOL) (name . delete)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . ATOM) (name . property)))
       (field ((type . ATOM) (name . type)))
       (field ((type . CARD32) (name . long-offset)))
       (field ((type . CARD32) (name . long-length)))
       (reply ()
              (field ((type . CARD8) (name . format)))
              (field ((type . ATOM) (name . type)))
              (field ((type . CARD32) (name . bytes-after)))
              (field ((type . CARD32) (name . value-len)))
              (pad ((bytes . 12)))
              (list ((type . void) (name . value))
                    (fieldref () value-len))))
     (request
       ((name . ListProperties) (opcode . 21))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . atoms-len)))
              (pad ((bytes . 22)))
              (list ((type . ATOM) (name . atoms))
                    (fieldref () atoms-len))))
     (request
       ((name . SetSelectionOwner) (opcode . 22))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . owner)))
       (field ((type . ATOM) (name . selection)))
       (field ((type . TIMESTAMP) (name . time))))
     (request
       ((name . GetSelectionOwner) (opcode . 23))
       (pad ((bytes . 1)))
       (field ((type . ATOM) (name . selection)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . WINDOW) (name . owner)))))
     (request
       ((name . ConvertSelection) (opcode . 24))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . requestor)))
       (field ((type . ATOM) (name . selection)))
       (field ((type . ATOM) (name . target)))
       (field ((type . ATOM) (name . property)))
       (field ((type . TIMESTAMP) (name . time))))
     (enum ((name . SendEventDest))
           (item ((name . PointerWindow)) (value () 0))
           (item ((name . ItemFocus)) (value () 1)))
     (request
       ((name . SendEvent) (opcode . 25))
       (field ((type . BOOL) (name . propagate)))
       (field ((type . WINDOW) (name . destination)))
       (field ((type . CARD32) (name . event-mask)))
       (list ((type . char) (name . event))
             (value () 32)))
     (enum ((name . GrabMode))
           (item ((name . Sync)) (value () 0))
           (item ((name . Async)) (value () 1)))
     (enum ((name . GrabStatus))
           (item ((name . Success)) (value () 0))
           (item ((name . AlreadyGrabbed)) (value () 1))
           (item ((name . InvalidTime)) (value () 2))
           (item ((name . NotViewable)) (value () 3))
           (item ((name . Frozen)) (value () 4)))
     (request
       ((name . GrabPointer) (opcode . 26))
       (field ((type . BOOL) (name . owner-events)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . CARD16) (name . event-mask)))
       (field ((type . BYTE) (name . pointer-mode)))
       (field ((type . BYTE) (name . keyboard-mode)))
       (field ((type . WINDOW) (name . confine-to)))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . TIMESTAMP) (name . time)))
       (reply ()
              (field ((type . BYTE) (name . status)))))
     (request
       ((name . UngrabPointer) (opcode . 27))
       (pad ((bytes . 1)))
       (field ((type . TIMESTAMP) (name . time))))
     (enum ((name . ButtonIndex))
           (item ((name . Any)) (value () 0))
           (item ((name . 1)) (value () 1))
           (item ((name . 2)) (value () 2))
           (item ((name . 3)) (value () 3))
           (item ((name . 4)) (value () 4))
           (item ((name . 5)) (value () 5)))
     (request
       ((name . GrabButton) (opcode . 28))
       (field ((type . BOOL) (name . owner-events)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . CARD16) (name . event-mask)))
       (field ((type . CARD8) (name . pointer-mode)))
       (field ((type . CARD8) (name . keyboard-mode)))
       (field ((type . WINDOW) (name . confine-to)))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . CARD8) (name . button)))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . modifiers))))
     (request
       ((name . UngrabButton) (opcode . 29))
       (field ((type . CARD8) (name . button)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . CARD16) (name . modifiers)))
       (pad ((bytes . 2))))
     (request
       ((name . ChangeActivePointerGrab)
        (opcode . 30))
       (pad ((bytes . 1)))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . TIMESTAMP) (name . time)))
       (field ((type . CARD16) (name . event-mask))))
     (request
       ((name . GrabKeyboard) (opcode . 31))
       (field ((type . BOOL) (name . owner-events)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . TIMESTAMP) (name . time)))
       (field ((type . BYTE) (name . pointer-mode)))
       (field ((type . BYTE) (name . keyboard-mode)))
       (reply ()
              (field ((type . BYTE) (name . status)))))
     (request
       ((name . UngrabKeyboard) (opcode . 32))
       (pad ((bytes . 1)))
       (field ((type . TIMESTAMP) (name . time))))
     (enum ((name . Grab))
           (item ((name . Any)) (value () 0)))
     (request
       ((name . GrabKey) (opcode . 33))
       (field ((type . BOOL) (name . owner-events)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . CARD16) (name . modifiers)))
       (field ((type . KEYCODE) (name . key)))
       (field ((type . CARD8) (name . pointer-mode)))
       (field ((type . CARD8) (name . keyboard-mode))))
     (request
       ((name . UngrabKey) (opcode . 34))
       (field ((type . KEYCODE) (name . key)))
       (field ((type . WINDOW) (name . grab-window)))
       (field ((type . CARD16) (name . modifiers))))
     (enum ((name . Allow))
           (item ((name . AsyncPointer)) (value () 0))
           (item ((name . SyncPointer)) (value () 1))
           (item ((name . ReplayPointer)) (value () 2))
           (item ((name . AsyncKeyboard)) (value () 3))
           (item ((name . SyncKeyboard)) (value () 4))
           (item ((name . ReplayKeyboard)) (value () 5))
           (item ((name . AsyncBoth)) (value () 6))
           (item ((name . SyncBoth)) (value () 7)))
     (request
       ((name . AllowEvents) (opcode . 35))
       (field ((type . CARD8) (name . mode)))
       (field ((type . TIMESTAMP) (name . time))))
     (request ((name . GrabServer) (opcode . 36)))
     (request
       ((name . UngrabServer) (opcode . 37)))
     (request
       ((name . QueryPointer) (opcode . 38))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (field ((type . BOOL) (name . same-screen)))
              (field ((type . WINDOW) (name . root)))
              (field ((type . WINDOW) (name . child)))
              (field ((type . INT16) (name . root-x)))
              (field ((type . INT16) (name . root-y)))
              (field ((type . INT16) (name . win-x)))
              (field ((type . INT16) (name . win-y)))
              (field ((type . CARD16) (name . mask)))))
     (struct
       ((name . TIMECOORD))
       (field ((type . TIMESTAMP) (name . time)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y))))
     (request
       ((name . GetMotionEvents) (opcode . 39))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . TIMESTAMP) (name . start)))
       (field ((type . TIMESTAMP) (name . stop)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . events-len)))
              (pad ((bytes . 20)))
              (list ((type . TIMECOORD) (name . events))
                    (fieldref () events-len))))
     (request
       ((name . TranslateCoordinates) (opcode . 40))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . src-window)))
       (field ((type . WINDOW) (name . dst-window)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (reply ()
              (field ((type . BOOL) (name . same-screen)))
              (field ((type . WINDOW) (name . child)))
              (field ((type . CARD16) (name . dst-x)))
              (field ((type . CARD16) (name . dst-y)))))
     (request
       ((name . WarpPointer) (opcode . 41))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . src-window)))
       (field ((type . WINDOW) (name . dst-window)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . CARD16) (name . src-width)))
       (field ((type . CARD16) (name . src-height)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y))))
     (enum ((name . InputFocus))
           (item ((name . None)) (value () 0))
           (item ((name . PointerRoot)) (value () 1))
           (item ((name . Parent)) (value () 2)))
     (request
       ((name . SetInputFocus) (opcode . 42))
       (field ((type . CARD8) (name . revert-to)))
       (field ((type . WINDOW) (name . focus)))
       (field ((type . TIMESTAMP) (name . time))))
     (request
       ((name . GetInputFocus) (opcode . 43))
       (reply ()
              (field ((type . CARD8) (name . revert-to)))
              (field ((type . WINDOW) (name . focus)))))
     (request
       ((name . QueryKeymap) (opcode . 44))
       (reply ()
              (pad ((bytes . 1)))
              (list ((type . CARD8) (name . keys))
                    (value () 32))))
     (request
       ((name . OpenFont) (opcode . 45))
       (pad ((bytes . 1)))
       (field ((type . FONT) (name . fid)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len)))
     (request
       ((name . CloseFont) (opcode . 46))
       (pad ((bytes . 1)))
       (field ((type . FONT) (name . font))))
     (enum ((name . FontDraw))
           (item ((name . LeftToRight)) (value () 0))
           (item ((name . RightToLeft)) (value () 1)))
     (struct
       ((name . FONTPROP))
       (field ((type . ATOM) (name . name)))
       (field ((type . CARD32) (name . value))))
     (struct
       ((name . CHARINFO))
       (field ((type . INT16) (name . left-side-bearing)))
       (field ((type . INT16) (name . right-side-bearing)))
       (field ((type . INT16) (name . character-width)))
       (field ((type . INT16) (name . ascent)))
       (field ((type . INT16) (name . descent)))
       (field ((type . CARD16) (name . attributes))))
     (request
       ((name . QueryFont) (opcode . 47))
       (pad ((bytes . 1)))
       (field ((type . FONTABLE) (name . font)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CHARINFO) (name . min-bounds)))
              (pad ((bytes . 4)))
              (field ((type . CHARINFO) (name . max-bounds)))
              (pad ((bytes . 4)))
              (field ((type . CARD16) (name . min-char-or-byte2)))
              (field ((type . CARD16) (name . max-char-or-byte2)))
              (field ((type . CARD16) (name . default-char)))
              (field ((type . CARD16) (name . properties-len)))
              (field ((type . BYTE) (name . draw-direction)))
              (field ((type . CARD8) (name . min-byte1)))
              (field ((type . CARD8) (name . max-byte1)))
              (field ((type . BOOL) (name . all-chars-exist)))
              (field ((type . INT16) (name . font-ascent)))
              (field ((type . INT16) (name . font-descent)))
              (field ((type . CARD32) (name . char-infos-len)))
              (list ((type . FONTPROP) (name . properties))
                    (fieldref () properties-len))
              (list ((type . CHARINFO) (name . char-infos))
                    (fieldref () char-infos-len))))
     (request
       ((name . QueryTextExtents) (opcode . 48))
       (exprfield
         ((type . BOOL) (name . odd-length))
         (op ((op . &))
             (fieldref () string-len)
             (value () 1)))
       (field ((type . FONTABLE) (name . font)))
       (list ((type . CHAR2B) (name . string)))
       (reply ()
              (field ((type . BYTE) (name . draw-direction)))
              (field ((type . INT16) (name . font-ascent)))
              (field ((type . INT16) (name . font-descent)))
              (field ((type . INT16) (name . overall-ascent)))
              (field ((type . INT16) (name . overall-descent)))
              (field ((type . INT32) (name . overall-width)))
              (field ((type . INT32) (name . overall-left)))
              (field ((type . INT32) (name . overall-right)))))
     (struct
       ((name . STR))
       (field ((type . CARD8) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len)))
     (request
       ((name . ListFonts) (opcode . 49))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . max-names)))
       (field ((type . CARD16) (name . pattern-len)))
       (list ((type . char) (name . pattern))
             (fieldref () pattern-len))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . names-len)))
              (pad ((bytes . 22)))
              (list ((type . STR) (name . names))
                    (fieldref () names-len))))
     (request
       ((name . ListFontsWithInfo) (opcode . 50))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . max-names)))
       (field ((type . CARD16) (name . pattern-len)))
       (list ((type . char) (name . pattern))
             (fieldref () pattern-len))
       (reply ()
              (field ((type . CARD8) (name . name-len)))
              (field ((type . CHARINFO) (name . min-bounds)))
              (pad ((bytes . 4)))
              (field ((type . CHARINFO) (name . max-bounds)))
              (pad ((bytes . 4)))
              (field ((type . CARD16) (name . min-char-or-byte2)))
              (field ((type . CARD16) (name . max-char-or-byte2)))
              (field ((type . CARD16) (name . default-char)))
              (field ((type . CARD16) (name . properties-len)))
              (field ((type . BYTE) (name . draw-direction)))
              (field ((type . CARD8) (name . min-byte1)))
              (field ((type . CARD8) (name . max-byte1)))
              (field ((type . BOOL) (name . all-chars-exist)))
              (field ((type . INT16) (name . font-ascent)))
              (field ((type . INT16) (name . font-descent)))
              (field ((type . CARD32) (name . replies-hint)))
              (list ((type . FONTPROP) (name . properties))
                    (fieldref () properties-len))
              (list ((type . char) (name . name))
                    (fieldref () name-len))))
     (request
       ((name . SetFontPath) (opcode . 51))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . font-qty)))
       (list ((type . char) (name . path))))
     (request
       ((name . GetFontPath) (opcode . 52))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . path-len)))
              (pad ((bytes . 22)))
              (list ((type . STR) (name . path))
                    (fieldref () path-len))))
     (request
       ((name . CreatePixmap) (opcode . 53))
       (field ((type . CARD8) (name . depth)))
       (field ((type . PIXMAP) (name . pid)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (request
       ((name . FreePixmap) (opcode . 54))
       (pad ((bytes . 1)))
       (field ((type . PIXMAP) (name . pixmap))))
     (enum ((name . GC))
           (item ((name . Function)) (bit () 0))
           (item ((name . PlaneMask)) (bit () 1))
           (item ((name . Foreground)) (bit () 2))
           (item ((name . Background)) (bit () 3))
           (item ((name . LineWidth)) (bit () 4))
           (item ((name . LineStyle)) (bit () 5))
           (item ((name . CapStyle)) (bit () 6))
           (item ((name . JoinStyle)) (bit () 7))
           (item ((name . FillStyle)) (bit () 8))
           (item ((name . FillRule)) (bit () 9))
           (item ((name . Tile)) (bit () 10))
           (item ((name . Stipple)) (bit () 11))
           (item ((name . TileStippleOriginX))
                 (bit () 12))
           (item ((name . TileStippleOriginY))
                 (bit () 13))
           (item ((name . Font)) (bit () 14))
           (item ((name . SubwindowMode)) (bit () 15))
           (item ((name . GraphicsExposures))
                 (bit () 16))
           (item ((name . ClipOriginX)) (bit () 17))
           (item ((name . ClipOriginY)) (bit () 18))
           (item ((name . ClipMask)) (bit () 19))
           (item ((name . DashOffset)) (bit () 20))
           (item ((name . DashList)) (bit () 21))
           (item ((name . ArcMode)) (bit () 22)))
     (enum ((name . GX))
           (item ((name . clear)) (value () 0x0))
           (item ((name . and)) (value () 0x1))
           (item ((name . andReverse)) (value () 0x2))
           (item ((name . copy)) (value () 0x3))
           (item ((name . andInverted)) (value () 0x4))
           (item ((name . noop)) (value () 0x5))
           (item ((name . xor)) (value () 0x6))
           (item ((name . or)) (value () 0x7))
           (item ((name . nor)) (value () 0x8))
           (item ((name . equiv)) (value () 0x9))
           (item ((name . invert)) (value () 0xa))
           (item ((name . orReverse)) (value () 0xb))
           (item ((name . copyInverted)) (value () 0xc))
           (item ((name . orInverted)) (value () 0xd))
           (item ((name . nand)) (value () 0xe))
           (item ((name . set)) (value () 0xf)))
     (enum ((name . LineStyle))
           (item ((name . Solid)) (value () 0))
           (item ((name . OnOffDash)) (value () 1))
           (item ((name . DoubleDash)) (value () 2)))
     (enum ((name . CapStyle))
           (item ((name . NotLast)) (value () 0))
           (item ((name . Butt)) (value () 1))
           (item ((name . Round)) (value () 2))
           (item ((name . Projecting)) (value () 3)))
     (enum ((name . JoinStyle))
           (item ((name . Mitre)) (value () 0))
           (item ((name . Round)) (value () 1))
           (item ((name . Bevel)) (value () 2)))
     (enum ((name . FillStyle))
           (item ((name . Solid)) (value () 0))
           (item ((name . Tiled)) (value () 1))
           (item ((name . Stippled)) (value () 2))
           (item ((name . OpaqueStippled)) (value () 3)))
     (enum ((name . FillRule))
           (item ((name . EvenOdd)) (value () 0))
           (item ((name . Winding)) (value () 1)))
     (enum ((name . SubwindowMode))
           (item ((name . ClipByChildren)) (value () 0))
           (item ((name . IncludeInferiors))
                 (value () 1)))
     (enum ((name . ArcMode))
           (item ((name . Chord)) (value () 0))
           (item ((name . PieSlice)) (value () 1)))
     (request
       ((name . CreateGC) (opcode . 55))
       (pad ((bytes . 1)))
       (field ((type . GCONTEXT) (name . cid)))
       (field ((type . DRAWABLE) (name . drawable)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . ChangeGC) (opcode . 56))
       (pad ((bytes . 1)))
       (field ((type . GCONTEXT) (name . gc)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . CopyGC) (opcode . 57))
       (pad ((bytes . 1)))
       (field ((type . GCONTEXT) (name . src-gc)))
       (field ((type . GCONTEXT) (name . dst-gc)))
       (field ((type . CARD32) (name . value-mask))))
     (request
       ((name . SetDashes) (opcode . 58))
       (pad ((bytes . 1)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . CARD16) (name . dash-offset)))
       (field ((type . CARD16) (name . dashes-len)))
       (list ((type . CARD8) (name . dashes))
             (fieldref () dashes-len)))
     (enum ((name . ClipOrdering))
           (item ((name . Unsorted)) (value () 0))
           (item ((name . YSorted)) (value () 1))
           (item ((name . YXSorted)) (value () 2))
           (item ((name . YXBanded)) (value () 3)))
     (request
       ((name . SetClipRectangles) (opcode . 59))
       (field ((type . BYTE) (name . ordering)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . clip-x-origin)))
       (field ((type . INT16) (name . clip-y-origin)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . FreeGC) (opcode . 60))
       (pad ((bytes . 1)))
       (field ((type . GCONTEXT) (name . gc))))
     (request
       ((name . ClearArea) (opcode . 61))
       (field ((type . BOOL) (name . exposures)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (request
       ((name . CopyArea) (opcode . 62))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . src-drawable)))
       (field ((type . DRAWABLE) (name . dst-drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (request
       ((name . CopyPlane) (opcode . 63))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . src-drawable)))
       (field ((type . DRAWABLE) (name . dst-drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD32) (name . bit-plane))))
     (enum ((name . CoordMode))
           (item ((name . Origin)) (value () 0))
           (item ((name . Previous)) (value () 1)))
     (request
       ((name . PolyPoint) (opcode . 64))
       (field ((type . BYTE) (name . coordinate-mode)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . POINT) (name . points))))
     (request
       ((name . PolyLine)
        (opcode . 65)
        (combine-adjacent . true))
       (field ((type . BYTE) (name . coordinate-mode)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . POINT) (name . points))))
     (struct
       ((name . SEGMENT))
       (field ((type . INT16) (name . x1)))
       (field ((type . INT16) (name . y1)))
       (field ((type . INT16) (name . x2)))
       (field ((type . INT16) (name . y2))))
     (request
       ((name . PolySegment)
        (opcode . 66)
        (combine-adjacent . true))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . SEGMENT) (name . segments))))
     (request
       ((name . PolyRectangle)
        (opcode . 67)
        (combine-adjacent . true))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . PolyArc) (opcode . 68))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . ARC) (name . arcs))))
     (enum ((name . PolyShape))
           (item ((name . Complex)) (value () 0))
           (item ((name . Nonconvex)) (value () 1))
           (item ((name . Convex)) (value () 2)))
     (request
       ((name . FillPoly) (opcode . 69))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . CARD8) (name . shape)))
       (field ((type . CARD8) (name . coordinate-mode)))
       (list ((type . POINT) (name . points))))
     (request
       ((name . PolyFillRectangle)
        (opcode . 70)
        (combine-adjacent . true))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . PolyFillArc)
        (opcode . 71)
        (combine-adjacent . true))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (list ((type . ARC) (name . arcs))))
     (enum ((name . ImageFormat))
           (item ((name . XYBitmap)) (value () 0))
           (item ((name . XYPixmap)) (value () 1))
           (item ((name . ZPixmap)) (value () 2)))
     (request
       ((name . PutImage) (opcode . 72))
       (field ((type . CARD8) (name . format)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y)))
       (field ((type . CARD8) (name . left-pad)))
       (field ((type . CARD8) (name . depth)))
       (list ((type . BYTE) (name . data))))
     (request
       ((name . GetImage) (opcode . 73))
       (field ((type . CARD8) (name . format)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD32) (name . plane-mask)))
       (reply ()
              (field ((type . CARD8) (name . depth)))
              (field ((type . VISUALID) (name . visual)))
              (pad ((bytes . 20)))
              (list ((type . BYTE) (name . data))
                    (op ((op . *))
                        (fieldref () length)
                        (value () 4)))))
     (request
       ((name . PolyText8) (opcode . 74))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (list ((type . BYTE) (name . items))))
     (request
       ((name . PolyText16) (opcode . 75))
       (pad ((bytes . 1)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (list ((type . BYTE) (name . items))))
     (request
       ((name . ImageText8) (opcode . 76))
       (field ((type . BYTE) (name . string-len)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (list ((type . char) (name . string))
             (fieldref () string-len)))
     (request
       ((name . ImageText16) (opcode . 77))
       (field ((type . BYTE) (name . string-len)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . GCONTEXT) (name . gc)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (list ((type . CHAR2B) (name . string))
             (fieldref () string-len)))
     (enum ((name . ColormapAlloc))
           (item ((name . None)) (value () 0))
           (item ((name . All)) (value () 1)))
     (request
       ((name . CreateColormap) (opcode . 78))
       (field ((type . BYTE) (name . alloc)))
       (field ((type . COLORMAP) (name . mid)))
       (field ((type . WINDOW) (name . window)))
       (field ((type . VISUALID) (name . visual))))
     (request
       ((name . FreeColormap) (opcode . 79))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap))))
     (request
       ((name . CopyColormapAndFree) (opcode . 80))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . mid)))
       (field ((type . COLORMAP) (name . src-cmap))))
     (request
       ((name . InstallColormap) (opcode . 81))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap))))
     (request
       ((name . UninstallColormap) (opcode . 82))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap))))
     (request
       ((name . ListInstalledColormaps)
        (opcode . 83))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . cmaps-len)))
              (pad ((bytes . 22)))
              (list ((type . COLORMAP) (name . cmaps))
                    (fieldref () cmaps-len))))
     (request
       ((name . AllocColor) (opcode . 84))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD16) (name . red)))
       (field ((type . CARD16) (name . green)))
       (field ((type . CARD16) (name . blue)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . red)))
              (field ((type . CARD16) (name . green)))
              (field ((type . CARD16) (name . blue)))
              (pad ((bytes . 2)))
              (field ((type . CARD32) (name . pixel)))))
     (request
       ((name . AllocNamedColor) (opcode . 85))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . pixel)))
              (field ((type . CARD16) (name . exact-red)))
              (field ((type . CARD16) (name . exact-green)))
              (field ((type . CARD16) (name . exact-blue)))
              (field ((type . CARD16) (name . visual-red)))
              (field ((type . CARD16) (name . visual-green)))
              (field ((type . CARD16) (name . visual-blue)))))
     (request
       ((name . AllocColorCells) (opcode . 86))
       (field ((type . BOOL) (name . contiguous)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD16) (name . colors)))
       (field ((type . CARD16) (name . planes)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . pixels-len)))
              (field ((type . CARD16) (name . masks-len)))
              (pad ((bytes . 20)))
              (list ((type . CARD32) (name . pixels))
                    (fieldref () pixels-len))
              (list ((type . CARD32) (name . masks))
                    (fieldref () masks-len))))
     (request
       ((name . AllocColorPlanes) (opcode . 87))
       (field ((type . BOOL) (name . contiguous)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD16) (name . colors)))
       (field ((type . CARD16) (name . reds)))
       (field ((type . CARD16) (name . greens)))
       (field ((type . CARD16) (name . blues)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . pixels-len)))
              (pad ((bytes . 2)))
              (field ((type . CARD32) (name . red-mask)))
              (field ((type . CARD32) (name . green-mask)))
              (field ((type . CARD32) (name . blue-mask)))
              (pad ((bytes . 8)))
              (list ((type . CARD32) (name . pixels))
                    (fieldref () pixels-len))))
     (request
       ((name . FreeColors) (opcode . 88))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD32) (name . plane-mask)))
       (list ((type . CARD32) (name . pixels))))
     (enum ((name . ColorFlag))
           (item ((name . Red)) (bit () 0))
           (item ((name . Green)) (bit () 1))
           (item ((name . Blue)) (bit () 2)))
     (struct
       ((name . COLORITEM))
       (field ((type . CARD32) (name . pixel)))
       (field ((type . CARD16) (name . red)))
       (field ((type . CARD16) (name . green)))
       (field ((type . CARD16) (name . blue)))
       (field ((type . BYTE) (name . flags)))
       (pad ((bytes . 1))))
     (request
       ((name . StoreColors)
        (opcode . 89)
        (combine-adjacent . true))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (list ((type . COLORITEM) (name . items))))
     (request
       ((name . StoreNamedColor) (opcode . 90))
       (field ((type . CARD8) (name . flags)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD32) (name . pixel)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len)))
     (struct
       ((name . RGB))
       (field ((type . CARD16) (name . red)))
       (field ((type . CARD16) (name . green)))
       (field ((type . CARD16) (name . blue)))
       (pad ((bytes . 2))))
     (request
       ((name . QueryColors) (opcode . 91))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (list ((type . CARD32) (name . pixels)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . colors-len)))
              (pad ((bytes . 22)))
              (list ((type . RGB) (name . colors))
                    (fieldref () colors-len))))
     (request
       ((name . LookupColor) (opcode . 92))
       (pad ((bytes . 1)))
       (field ((type . COLORMAP) (name . cmap)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . exact-red)))
              (field ((type . CARD16) (name . exact-green)))
              (field ((type . CARD16) (name . exact-blue)))
              (field ((type . CARD16) (name . visual-red)))
              (field ((type . CARD16) (name . visual-green)))
              (field ((type . CARD16) (name . visual-blue)))))
     (request
       ((name . CreateCursor) (opcode . 93))
       (pad ((bytes . 1)))
       (field ((type . CURSOR) (name . cid)))
       (field ((type . PIXMAP) (name . source)))
       (field ((type . PIXMAP) (name . mask)))
       (field ((type . CARD16) (name . fore-red)))
       (field ((type . CARD16) (name . fore-green)))
       (field ((type . CARD16) (name . fore-blue)))
       (field ((type . CARD16) (name . back-red)))
       (field ((type . CARD16) (name . back-green)))
       (field ((type . CARD16) (name . back-blue)))
       (field ((type . CARD16) (name . x)))
       (field ((type . CARD16) (name . y))))
     (request
       ((name . CreateGlyphCursor) (opcode . 94))
       (pad ((bytes . 1)))
       (field ((type . CURSOR) (name . cid)))
       (field ((type . FONT) (name . source-font)))
       (field ((type . FONT) (name . mask-font)))
       (field ((type . CARD16) (name . source-char)))
       (field ((type . CARD16) (name . mask-char)))
       (field ((type . CARD16) (name . fore-red)))
       (field ((type . CARD16) (name . fore-green)))
       (field ((type . CARD16) (name . fore-blue)))
       (field ((type . CARD16) (name . back-red)))
       (field ((type . CARD16) (name . back-green)))
       (field ((type . CARD16) (name . back-blue))))
     (request
       ((name . FreeCursor) (opcode . 95))
       (pad ((bytes . 1)))
       (field ((type . CURSOR) (name . cursor))))
     (request
       ((name . RecolorCursor) (opcode . 96))
       (pad ((bytes . 1)))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . CARD16) (name . fore-red)))
       (field ((type . CARD16) (name . fore-green)))
       (field ((type . CARD16) (name . fore-blue)))
       (field ((type . CARD16) (name . back-red)))
       (field ((type . CARD16) (name . back-green)))
       (field ((type . CARD16) (name . back-blue))))
     (enum ((name . QueryShapeOf))
           (item ((name . LargestCursor)) (value () 0))
           (item ((name . FastestTile)) (value () 1))
           (item ((name . FastestStipple)) (value () 2)))
     (request
       ((name . QueryBestSize) (opcode . 97))
       (field ((type . CARD8) (name . class)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . width)))
              (field ((type . CARD16) (name . height)))))
     (request
       ((name . QueryExtension) (opcode . 98))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . name-len)))
       (list ((type . char) (name . name))
             (fieldref () name-len))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL) (name . present)))
              (field ((type . CARD8) (name . major-opcode)))
              (field ((type . CARD8) (name . first-event)))
              (field ((type . CARD8) (name . first-error)))))
     (request
       ((name . ListExtensions) (opcode . 99))
       (reply ()
              (field ((type . CARD8) (name . names-len)))
              (pad ((bytes . 24)))
              (list ((type . STR) (name . names))
                    (fieldref () names-len))))
     (request
       ((name . ChangeKeyboardMapping)
        (opcode . 100))
       (field ((type . CARD8) (name . keycode-count)))
       (field ((type . KEYCODE) (name . first-keycode)))
       (field ((type . CARD8) (name . keysyms-per-keycode)))
       (list ((type . KEYSYM) (name . keysyms))
             (op ((op . *))
                 (fieldref () keycode-count)
                 (fieldref () keysyms-per-keycode))))
     (request
       ((name . GetKeyboardMapping) (opcode . 101))
       (pad ((bytes . 1)))
       (field ((type . KEYCODE) (name . first-keycode)))
       (field ((type . CARD8) (name . count)))
       (reply ()
              (field ((type . BYTE) (name . keysyms-per-keycode)))
              (pad ((bytes . 24)))
              (list ((type . KEYSYM) (name . keysyms))
                    (op ((op . *))
                        (fieldref () length)
                        (value () 4)))))
     (enum ((name . KB))
           (item ((name . KeyClickPercent)) (bit () 0))
           (item ((name . BellPercent)) (bit () 1))
           (item ((name . BellPitch)) (bit () 2))
           (item ((name . BellDuration)) (bit () 3))
           (item ((name . Led)) (bit () 4))
           (item ((name . LedMode)) (bit () 5))
           (item ((name . Key)) (bit () 6))
           (item ((name . AutoRepeatMode)) (bit () 7)))
     (enum ((name . LedMode))
           (item ((name . Off)) (value () 0))
           (item ((name . On)) (value () 1)))
     (enum ((name . AutoRepeatMode))
           (item ((name . Off)) (value () 0))
           (item ((name . On)) (value () 1))
           (item ((name . Default)) (value () 2)))
     (request
       ((name . ChangeKeyboardControl)
        (opcode . 102))
       (pad ((bytes . 1)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . GetKeyboardControl) (opcode . 103))
       (reply ()
              (field ((type . BYTE) (name . global-auto-repeat)))
              (field ((type . CARD32) (name . led-mask)))
              (field ((type . CARD8) (name . key-click-percent)))
              (field ((type . CARD8) (name . bell-percent)))
              (field ((type . CARD16) (name . bell-pitch)))
              (field ((type . CARD16) (name . bell-duration)))
              (pad ((bytes . 2)))
              (list ((type . CARD8) (name . auto-repeats))
                    (value () 32))))
     (request
       ((name . Bell) (opcode . 104))
       (field ((type . INT8) (name . percent))))
     (request
       ((name . ChangePointerControl)
        (opcode . 105))
       (pad ((bytes . 1)))
       (field ((type . INT16)
               (name . acceleration-numerator)))
       (field ((type . INT16)
               (name . acceleration-denominator)))
       (field ((type . INT16) (name . threshold)))
       (field ((type . BOOL) (name . do-acceleration)))
       (field ((type . BOOL) (name . do-threshold))))
     (request
       ((name . GetPointerControl) (opcode . 106))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16)
                      (name . acceleration-numerator)))
              (field ((type . CARD16)
                      (name . acceleration-denominator)))
              (field ((type . CARD16) (name . threshold)))))
     (enum ((name . Blanking))
           (item ((name . NotPreferred)) (value () 0))
           (item ((name . Preferred)) (value () 1))
           (item ((name . Default)) (value () 2)))
     (enum ((name . Exposures))
           (item ((name . NotAllowed)) (value () 0))
           (item ((name . Allowed)) (value () 1))
           (item ((name . Default)) (value () 2)))
     (request
       ((name . SetScreenSaver) (opcode . 107))
       (pad ((bytes . 1)))
       (field ((type . INT16) (name . timeout)))
       (field ((type . INT16) (name . interval)))
       (field ((type . CARD8) (name . prefer-blanking)))
       (field ((type . CARD8) (name . allow-exposures))))
     (request
       ((name . GetScreenSaver) (opcode . 108))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . timeout)))
              (field ((type . CARD16) (name . interval)))
              (field ((type . BYTE) (name . prefer-blanking)))
              (field ((type . BYTE) (name . allow-exposures)))))
     (enum ((name . HostMode))
           (item ((name . Insert)) (value () 0))
           (item ((name . Delete)) (value () 1)))
     (enum ((name . Family))
           (item ((name . Internet)) (value () 0))
           (item ((name . DECnet)) (value () 1))
           (item ((name . Chaos)) (value () 2))
           (item ((name . ServerInterpreted))
                 (value () 5))
           (item ((name . Internet6)) (value () 6)))
     (request
       ((name . ChangeHosts) (opcode . 109))
       (field ((type . CARD8) (name . mode)))
       (field ((type . CARD8) (name . family)))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . address-len)))
       (list ((type . char) (name . address))
             (fieldref () address-len)))
     (struct
       ((name . HOST))
       (field ((type . CARD8) (name . family)))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . address-len)))
       (list ((type . BYTE) (name . address))
             (fieldref () address-len)))
     (request
       ((name . ListHosts) (opcode . 110))
       (reply ()
              (field ((type . BYTE) (name . mode)))
              (field ((type . CARD16) (name . hosts-len)))
              (pad ((bytes . 22)))
              (list ((type . HOST) (name . hosts))
                    (fieldref () hosts-len))))
     (enum ((name . AccessControl))
           (item ((name . Disable)) (value () 0))
           (item ((name . Enable)) (value () 1)))
     (request
       ((name . SetAccessControl) (opcode . 111))
       (field ((type . CARD8) (name . mode))))
     (enum ((name . CloseDown))
           (item ((name . DestroyAll)) (value () 0))
           (item ((name . RetainPermanent))
                 (value () 1))
           (item ((name . RetainTemporary))
                 (value () 2)))
     (request
       ((name . SetCloseDownMode) (opcode . 112))
       (field ((type . CARD8) (name . mode))))
     (enum ((name . Kill))
           (item ((name . AllTemporary)) (value () 0)))
     (request
       ((name . KillClient) (opcode . 113))
       (pad ((bytes . 1)))
       (field ((type . CARD32) (name . resource))))
     (request
       ((name . RotateProperties) (opcode . 114))
       (field ((type . WINDOW) (name . window)))
       (field ((type . CARD16) (name . atoms-len)))
       (field ((type . INT16) (name . delta)))
       (list ((type . ATOM) (name . atoms))
             (fieldref () atoms-len)))
     (enum ((name . ScreenSaver))
           (item ((name . Reset)) (value () 0))
           (item ((name . Active)) (value () 1)))
     (request
       ((name . ForceScreenSaver) (opcode . 115))
       (field ((type . CARD8) (name . mode))))
     (enum ((name . MappingStatus))
           (item ((name . Success)) (value () 0))
           (item ((name . Busy)) (value () 1))
           (item ((name . Failure)) (value () 2)))
     (request
       ((name . SetPointerMapping) (opcode . 116))
       (field ((type . CARD8) (name . map-len)))
       (list ((type . CARD8) (name . map))
             (fieldref () map-len))
       (reply ()
              (field ((type . BYTE) (name . status)))))
     (request
       ((name . GetPointerMapping) (opcode . 117))
       (reply ()
              (field ((type . CARD8) (name . map-len)))
              (pad ((bytes . 24)))
              (list ((type . CARD8) (name . map))
                    (fieldref () map-len))))
     (enum ((name . MapIndex))
           (item ((name . Shift)) (value () 0))
           (item ((name . Lock)) (value () 1))
           (item ((name . Control)) (value () 2))
           (item ((name . 1)) (value () 3))
           (item ((name . 2)) (value () 4))
           (item ((name . 3)) (value () 5))
           (item ((name . 4)) (value () 6))
           (item ((name . 5)) (value () 7)))
     (request
       ((name . SetModifierMapping) (opcode . 118))
       (field ((type . CARD8)
               (name . keycodes-per-modifier)))
       (list ((type . KEYCODE) (name . keycodes))
             (op ((op . *))
                 (fieldref () keycodes-per-modifier)
                 (value () 8)))
       (reply ()
              (field ((type . BYTE) (name . status)))))
     (request
       ((name . GetModifierMapping) (opcode . 119))
       (reply ()
              (field ((type . CARD8)
                      (name . keycodes-per-modifier)))
              (pad ((bytes . 24)))
              (list ((type . KEYCODE) (name . keycodes))
                    (op ((op . *))
                        (fieldref () keycodes-per-modifier)
                        (value () 8)))))
     (request
       ((name . NoOperation) (opcode . 127))))
