;;; -*-scheme-*- (/home/ttn/local/share/xcb/dpms.xml)
(xcb ((header . dpms)
      (extension-xname . DPMS)
      (extension-name . DPMS)
      (major-version . 0)
      (minor-version . 0))
     (request
       ((name . GetVersion) (opcode . 0))
       (field ((type . CARD16)
               (name . client-major-version)))
       (field ((type . CARD16)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16)
                      (name . server-major-version)))
              (field ((type . CARD16)
                      (name . server-minor-version)))))
     (request
       ((name . Capable) (opcode . 1))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL) (name . capable)))))
     (request
       ((name . GetTimeouts) (opcode . 2))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . standby-timeout)))
              (field ((type . CARD16) (name . suspend-timeout)))
              (field ((type . CARD16) (name . off-timeout)))))
     (request
       ((name . SetTimeouts) (opcode . 3))
       (field ((type . CARD16) (name . standby-timeout)))
       (field ((type . CARD16) (name . suspend-timeout)))
       (field ((type . CARD16) (name . off-timeout))))
     (request ((name . Enable) (opcode . 4)))
     (request ((name . Disable) (opcode . 5)))
     (request
       ((name . ForceLevel) (opcode . 6))
       (field ((type . CARD16) (name . power-level))))
     (request
       ((name . Info) (opcode . 7))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . power-level)))
              (field ((type . BOOL) (name . state))))))
