;;; -*-scheme-*- (/home/ttn/local/share/xcb/render.xml)
(xcb ((header . render)
      (extension-xname . RENDER)
      (extension-name . Render)
      (major-version . 0)
      (minor-version . 10))
     (import () xproto)
     (enum ((name . PictType))
           (item ((name . Indexed)))
           (item ((name . Direct))))
     (enum ((name . PictOp))
           (item ((name . Clear)))
           (item ((name . Src)))
           (item ((name . Dst)))
           (item ((name . Over)))
           (item ((name . OverReverse)))
           (item ((name . In)))
           (item ((name . InReverse)))
           (item ((name . Out)))
           (item ((name . OutReverse)))
           (item ((name . Atop)))
           (item ((name . AtopReverse)))
           (item ((name . Xor)))
           (item ((name . Add)))
           (item ((name . Saturate)))
           (item ((name . DisjointClear))
                 (value () 0x10))
           (item ((name . DisjointSrc)))
           (item ((name . DisjointDst)))
           (item ((name . DisjointOver)))
           (item ((name . DisjointOverReverse)))
           (item ((name . DisjointIn)))
           (item ((name . DisjointInReverse)))
           (item ((name . DisjointOut)))
           (item ((name . DisjointOutReverse)))
           (item ((name . DisjointAtop)))
           (item ((name . DisjointAtopReverse)))
           (item ((name . DisjointXor)))
           (item ((name . ConjointClear))
                 (value () 0x20))
           (item ((name . ConjointSrc)))
           (item ((name . ConjointDst)))
           (item ((name . ConjointOver)))
           (item ((name . ConjointOverReverse)))
           (item ((name . ConjointIn)))
           (item ((name . ConjointInReverse)))
           (item ((name . ConjointOut)))
           (item ((name . ConjointOutReverse)))
           (item ((name . ConjointAtop)))
           (item ((name . ConjointAtopReverse)))
           (item ((name . ConjointXor))))
     (enum ((name . PolyEdge))
           (item ((name . Sharp)))
           (item ((name . Smooth))))
     (enum ((name . PolyMode))
           (item ((name . Precise)))
           (item ((name . Imprecise))))
     (enum ((name . CP))
           (item ((name . Repeat)) (bit () 0))
           (item ((name . AlphaMap)) (bit () 1))
           (item ((name . AlphaXOrigin)) (bit () 2))
           (item ((name . AlphaYOrigin)) (bit () 3))
           (item ((name . ClipXOrigin)) (bit () 4))
           (item ((name . ClipYOrigin)) (bit () 5))
           (item ((name . ClipMask)) (bit () 6))
           (item ((name . GraphicsExposure)) (bit () 7))
           (item ((name . SubwindowMode)) (bit () 8))
           (item ((name . PolyEdge)) (bit () 9))
           (item ((name . PolyMode)) (bit () 10))
           (item ((name . Dither)) (bit () 11))
           (item ((name . ComponentAlpha)) (bit () 12)))
     (enum ((name . SubPixel))
           (item ((name . Unknown)))
           (item ((name . HorizontalRGB)))
           (item ((name . HorizontalBGR)))
           (item ((name . VerticalRGB)))
           (item ((name . VerticalBGR)))
           (item ((name . None))))
     (enum ((name . Repeat))
           (item ((name . None)))
           (item ((name . Normal)))
           (item ((name . Pad)))
           (item ((name . Reflect))))
     (typedef
       ((oldname . CARD32) (newname . GLYPH)))
     (xidtype ((name . GLYPHSET)))
     (xidtype ((name . PICTURE)))
     (xidtype ((name . PICTFORMAT)))
     (typedef
       ((oldname . INT32) (newname . FIXED)))
     (error ((name . PictFormat) (number . 0)))
     (error ((name . Picture) (number . 1)))
     (error ((name . PictOp) (number . 2)))
     (error ((name . GlyphSet) (number . 3)))
     (error ((name . Glyph) (number . 4)))
     (struct
       ((name . DIRECTFORMAT))
       (field ((type . CARD16) (name . red-shift)))
       (field ((type . CARD16) (name . red-mask)))
       (field ((type . CARD16) (name . green-shift)))
       (field ((type . CARD16) (name . green-mask)))
       (field ((type . CARD16) (name . blue-shift)))
       (field ((type . CARD16) (name . blue-mask)))
       (field ((type . CARD16) (name . alpha-shift)))
       (field ((type . CARD16) (name . alpha-mask))))
     (struct
       ((name . PICTFORMINFO))
       (field ((type . PICTFORMAT) (name . id)))
       (field ((type . CARD8) (name . type)))
       (field ((type . CARD8) (name . depth)))
       (pad ((bytes . 2)))
       (field ((type . DIRECTFORMAT) (name . direct)))
       (field ((type . COLORMAP) (name . colormap))))
     (struct
       ((name . PICTVISUAL))
       (field ((type . VISUALID) (name . visual)))
       (field ((type . PICTFORMAT) (name . format))))
     (struct
       ((name . PICTDEPTH))
       (field ((type . CARD8) (name . depth)))
       (pad ((bytes . 1)))
       (field ((type . CARD16) (name . num-visuals)))
       (pad ((bytes . 4)))
       (list ((type . PICTVISUAL) (name . visuals))
             (fieldref () num-visuals)))
     (struct
       ((name . PICTSCREEN))
       (field ((type . CARD32) (name . num-depths)))
       (field ((type . PICTFORMAT) (name . fallback)))
       (list ((type . PICTDEPTH) (name . depths))
             (fieldref () num-depths)))
     (struct
       ((name . INDEXVALUE))
       (field ((type . CARD32) (name . pixel)))
       (field ((type . CARD16) (name . red)))
       (field ((type . CARD16) (name . green)))
       (field ((type . CARD16) (name . blue)))
       (field ((type . CARD16) (name . alpha))))
     (struct
       ((name . COLOR))
       (field ((type . CARD16) (name . red)))
       (field ((type . CARD16) (name . green)))
       (field ((type . CARD16) (name . blue)))
       (field ((type . CARD16) (name . alpha))))
     (struct
       ((name . POINTFIX))
       (field ((type . FIXED) (name . x)))
       (field ((type . FIXED) (name . y))))
     (struct
       ((name . LINEFIX))
       (field ((type . POINTFIX) (name . p1)))
       (field ((type . POINTFIX) (name . p2))))
     (struct
       ((name . TRIANGLE))
       (field ((type . POINTFIX) (name . p1)))
       (field ((type . POINTFIX) (name . p2)))
       (field ((type . POINTFIX) (name . p3))))
     (struct
       ((name . TRAPEZOID))
       (field ((type . FIXED) (name . top)))
       (field ((type . FIXED) (name . bottom)))
       (field ((type . LINEFIX) (name . left)))
       (field ((type . LINEFIX) (name . right))))
     (struct
       ((name . GLYPHINFO))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . INT16) (name . x-off)))
       (field ((type . INT16) (name . y-off))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD32)
               (name . client-major-version)))
       (field ((type . CARD32)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . major-version)))
              (field ((type . CARD32) (name . minor-version)))
              (pad ((bytes . 16)))))
     (request
       ((name . QueryPictFormats) (opcode . 1))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-formats)))
              (field ((type . CARD32) (name . num-screens)))
              (field ((type . CARD32) (name . num-depths)))
              (field ((type . CARD32) (name . num-visuals)))
              (field ((type . CARD32) (name . num-subpixel)))
              (pad ((bytes . 4)))
              (list ((type . PICTFORMINFO) (name . formats))
                    (fieldref () num-formats))
              (list ((type . PICTSCREEN) (name . screens))
                    (fieldref () num-screens))
              (list ((type . CARD32) (name . subpixels))
                    (fieldref () num-subpixel))))
     (request
       ((name . QueryPictIndexValues) (opcode . 2))
       (field ((type . PICTFORMAT) (name . format)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-values)))
              (pad ((bytes . 20)))
              (list ((type . INDEXVALUE) (name . values))
                    (fieldref () num-values))))
     (request
       ((name . CreatePicture) (opcode . 4))
       (field ((type . PICTURE) (name . pid)))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . PICTFORMAT) (name . format)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . ChangePicture) (opcode . 5))
       (field ((type . PICTURE) (name . picture)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . SetPictureClipRectangles)
        (opcode . 6))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . INT16) (name . clip-x-origin)))
       (field ((type . INT16) (name . clip-y-origin)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . FreePicture) (opcode . 7))
       (field ((type . PICTURE) (name . picture))))
     (request
       ((name . Composite) (opcode . 8))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . mask)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (field ((type . INT16) (name . mask-x)))
       (field ((type . INT16) (name . mask-y)))
       (field ((type . INT16) (name . dst-x)))
       (field ((type . INT16) (name . dst-y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (request
       ((name . Trapezoids) (opcode . 10))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . TRAPEZOID) (name . traps))))
     (request
       ((name . Triangles) (opcode . 11))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . TRIANGLE) (name . triangles))))
     (request
       ((name . TriStrip) (opcode . 12))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . POINTFIX) (name . points))))
     (request
       ((name . TriFan) (opcode . 13))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . POINTFIX) (name . points))))
     (request
       ((name . CreateGlyphSet) (opcode . 17))
       (field ((type . GLYPHSET) (name . gsid)))
       (field ((type . PICTFORMAT) (name . format))))
     (request
       ((name . ReferenceGlyphSet) (opcode . 18))
       (field ((type . GLYPHSET) (name . gsid)))
       (field ((type . GLYPHSET) (name . existing))))
     (request
       ((name . FreeGlyphSet) (opcode . 19))
       (field ((type . GLYPHSET) (name . glyphset))))
     (request
       ((name . AddGlyphs) (opcode . 20))
       (field ((type . GLYPHSET) (name . glyphset)))
       (field ((type . CARD32) (name . glyphs-len)))
       (list ((type . CARD32) (name . glyphids))
             (fieldref () glyphs-len))
       (list ((type . GLYPHINFO) (name . glyphs))
             (fieldref () glyphs-len))
       (list ((type . BYTE) (name . data))))
     (request
       ((name . FreeGlyphs) (opcode . 22))
       (field ((type . GLYPHSET) (name . glyphset)))
       (list ((type . GLYPH) (name . glyphs))))
     (request
       ((name . CompositeGlyphs8) (opcode . 23))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . GLYPHSET) (name . glyphset)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . BYTE) (name . glyphcmds))))
     (request
       ((name . CompositeGlyphs16) (opcode . 24))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . GLYPHSET) (name . glyphset)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . BYTE) (name . glyphcmds))))
     (request
       ((name . CompositeGlyphs32) (opcode . 25))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . src)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . PICTFORMAT) (name . mask-format)))
       (field ((type . GLYPHSET) (name . glyphset)))
       (field ((type . INT16) (name . src-x)))
       (field ((type . INT16) (name . src-y)))
       (list ((type . BYTE) (name . glyphcmds))))
     (request
       ((name . FillRectangles) (opcode . 26))
       (field ((type . CARD8) (name . op)))
       (pad ((bytes . 3)))
       (field ((type . PICTURE) (name . dst)))
       (field ((type . COLOR) (name . color)))
       (list ((type . RECTANGLE) (name . rects))))
     (request
       ((name . CreateCursor) (opcode . 27))
       (field ((type . CURSOR) (name . cid)))
       (field ((type . PICTURE) (name . source)))
       (field ((type . CARD16) (name . x)))
       (field ((type . CARD16) (name . y))))
     (struct
       ((name . TRANSFORM))
       (field ((type . FIXED) (name . matrix11)))
       (field ((type . FIXED) (name . matrix12)))
       (field ((type . FIXED) (name . matrix13)))
       (field ((type . FIXED) (name . matrix21)))
       (field ((type . FIXED) (name . matrix22)))
       (field ((type . FIXED) (name . matrix23)))
       (field ((type . FIXED) (name . matrix31)))
       (field ((type . FIXED) (name . matrix32)))
       (field ((type . FIXED) (name . matrix33))))
     (request
       ((name . SetPictureTransform) (opcode . 28))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . TRANSFORM) (name . transform))))
     (request
       ((name . QueryFilters) (opcode . 29))
       (field ((type . DRAWABLE) (name . drawable)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-aliases)))
              (field ((type . CARD32) (name . num-filters)))
              (pad ((bytes . 16)))
              (list ((type . CARD16) (name . aliases))
                    (fieldref () num-aliases))
              (list ((type . STR) (name . filters))
                    (fieldref () num-filters))))
     (request
       ((name . SetPictureFilter) (opcode . 30))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . CARD16) (name . filter-len)))
       (list ((type . char) (name . filter))
             (fieldref () filter-len))
       (list ((type . FIXED) (name . values))))
     (struct
       ((name . ANIMCURSORELT))
       (field ((type . CURSOR) (name . cursor)))
       (field ((type . CARD32) (name . delay))))
     (request
       ((name . CreateAnimCursor) (opcode . 31))
       (field ((type . CURSOR) (name . cid)))
       (list ((type . ANIMCURSORELT) (name . cursors))))
     (struct
       ((name . SPANFIX))
       (field ((type . FIXED) (name . l)))
       (field ((type . FIXED) (name . r)))
       (field ((type . FIXED) (name . y))))
     (struct
       ((name . TRAP))
       (field ((type . SPANFIX) (name . top)))
       (field ((type . SPANFIX) (name . bot))))
     (request
       ((name . AddTraps) (opcode . 32))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . INT16) (name . x-off)))
       (field ((type . INT16) (name . y-off)))
       (list ((type . TRAP) (name . traps))))
     (request
       ((name . CreateSolidFill) (opcode . 33))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . COLOR) (name . color))))
     (request
       ((name . CreateLinearGradient) (opcode . 34))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . POINTFIX) (name . p1)))
       (field ((type . POINTFIX) (name . p2)))
       (field ((type . CARD32) (name . num-stops))))
     (request
       ((name . CreateRadialGradient) (opcode . 35))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . POINTFIX) (name . inner)))
       (field ((type . POINTFIX) (name . outer)))
       (field ((type . FIXED) (name . inner-radius)))
       (field ((type . FIXED) (name . outer-radius)))
       (field ((type . CARD32) (name . num-stops))))
     (request
       ((name . CreateConicalGradient)
        (opcode . 36))
       (field ((type . PICTURE) (name . picture)))
       (field ((type . POINTFIX) (name . center)))
       (field ((type . FIXED) (name . angle)))
       (field ((type . CARD32) (name . num-stops)))))
