;;; -*-scheme-*- (/home/ttn/local/share/xcb/res.xml)
(xcb ((header . res)
      (extension-xname . X-Resource)
      (extension-name . Res)
      (major-version . 1)
      (minor-version . 0))
     (struct
       ((name . Client))
       (field ((type . CARD32) (name . resource-base)))
       (field ((type . CARD32) (name . resource-mask))))
     (struct
       ((name . Type))
       (field ((type . CARD32) (name . resource-type)))
       (field ((type . CARD32) (name . count))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD8) (name . client-major)))
       (field ((type . CARD8) (name . client-minor)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . server-major)))
              (field ((type . CARD16) (name . server-minor)))))
     (request
       ((name . QueryClients) (opcode . 1))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-clients)))
              (pad ((bytes . 20)))
              (list ((type . Client) (name . clients))
                    (fieldref () num-clients))))
     (request
       ((name . QueryClientResources) (opcode . 2))
       (field ((type . CARD32) (name . xid)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . num-types)))
              (pad ((bytes . 20)))
              (list ((type . Type) (name . types))
                    (fieldref () num-types))))
     (request
       ((name . QueryClientPixmapBytes)
        (opcode . 3))
       (field ((type . CARD32) (name . xid)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . bytes)))
              (field ((type . CARD32) (name . bytes-overflow))))))
