;;; -*-scheme-*- (/home/ttn/local/share/xcb/screensaver.xml)
(xcb ((header . screensaver)
      (extension-xname . MIT-SCREEN-SAVER)
      (extension-name . ScreenSaver)
      (major-version . 1)
      (minor-version . 1))
     (import () xproto)
     (enum ((name . Kind))
           (item ((name . Blanked)))
           (item ((name . Internal)))
           (item ((name . External))))
     (enum ((name . Event))
           (item ((name . NotifyMask)) (bit () 0))
           (item ((name . CycleMask)) (bit () 1)))
     (enum ((name . State))
           (item ((name . Off)))
           (item ((name . On)))
           (item ((name . Cycle)))
           (item ((name . Disabled))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD8)
               (name . client-major-version)))
       (field ((type . CARD8)
               (name . client-minor-version)))
       (pad ((bytes . 2)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16)
                      (name . server-major-version)))
              (field ((type . CARD16)
                      (name . server-minor-version)))
              (pad ((bytes . 20)))))
     (request
       ((name . QueryInfo) (opcode . 1))
       (field ((type . DRAWABLE) (name . drawable)))
       (reply ()
              (field ((type . CARD8) (name . state)))
              (field ((type . WINDOW) (name . saver-window)))
              (field ((type . CARD32) (name . ms-until-server)))
              (field ((type . CARD32)
                      (name . ms-since-user-input)))
              (field ((type . CARD32) (name . event-mask)))
              (field ((type . BYTE) (name . kind)))
              (pad ((bytes . 7)))))
     (request
       ((name . SelectInput) (opcode . 2))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . CARD32) (name . event-mask))))
     (request
       ((name . SetAttributes) (opcode . 3))
       (field ((type . DRAWABLE) (name . drawable)))
       (field ((type . INT16) (name . x)))
       (field ((type . INT16) (name . y)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height)))
       (field ((type . CARD16) (name . border-width)))
       (field ((type . BYTE) (name . class)))
       (field ((type . CARD8) (name . depth)))
       (field ((type . VISUALID) (name . visual)))
       (valueparam
         ((value-mask-type . CARD32)
          (value-mask-name . value-mask)
          (value-list-name . value-list))))
     (request
       ((name . UnsetAttributes) (opcode . 4))
       (field ((type . DRAWABLE) (name . drawable))))
     (request
       ((name . Suspend) (opcode . 5))
       (field ((type . BOOL) (name . suspend)))
       (pad ((bytes . 3))))
     (event ((name . Notify) (number . 0))
            (field ((type . CARD8) (name . code)))
            (field ((type . BYTE) (name . state)))
            (field ((type . CARD16) (name . sequence-number)))
            (field ((type . TIMESTAMP) (name . time)))
            (field ((type . WINDOW) (name . root)))
            (field ((type . WINDOW) (name . window)))
            (field ((type . BYTE) (name . kind)))
            (field ((type . BOOL) (name . forced)))
            (pad ((bytes . 14)))))
