;;; -*-scheme-*- (/home/ttn/local/share/xcb/shape.xml)
(xcb ((header . shape)
      (extension-xname . SHAPE)
      (extension-name . Shape)
      (major-version . 1)
      (minor-version . 1))
     (import () xproto)
     (typedef ((oldname . CARD8) (newname . OP)))
     (typedef
       ((oldname . CARD8) (newname . KIND)))
     (enum ((name . SO))
           (item ((name . Set)))
           (item ((name . Union)))
           (item ((name . Intersect)))
           (item ((name . Subtract)))
           (item ((name . Invert))))
     (enum ((name . SK))
           (item ((name . Bounding)))
           (item ((name . Clip)))
           (item ((name . Input))))
     (event ((name . Notify) (number . 0))
            (field ((type . KIND) (name . shape-kind)))
            (field ((type . WINDOW) (name . affected-window)))
            (field ((type . INT16) (name . extents-x)))
            (field ((type . INT16) (name . extents-y)))
            (field ((type . CARD16) (name . extents-width)))
            (field ((type . CARD16) (name . extents-height)))
            (field ((type . TIMESTAMP) (name . server-time)))
            (field ((type . BOOL) (name . shaped))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . major-version)))
              (field ((type . CARD16) (name . minor-version)))))
     (request
       ((name . Rectangles) (opcode . 1))
       (field ((type . OP) (name . operation)))
       (field ((type . KIND) (name . destination-kind)))
       (field ((type . BYTE) (name . ordering)))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . destination-window)))
       (field ((type . INT16) (name . x-offset)))
       (field ((type . INT16) (name . y-offset)))
       (list ((type . RECTANGLE) (name . rectangles))))
     (request
       ((name . Mask) (opcode . 2))
       (field ((type . OP) (name . operation)))
       (field ((type . KIND) (name . destination-kind)))
       (pad ((bytes . 2)))
       (field ((type . WINDOW) (name . destination-window)))
       (field ((type . INT16) (name . x-offset)))
       (field ((type . INT16) (name . y-offset)))
       (field ((type . PIXMAP) (name . source-bitmap))))
     (request
       ((name . Combine) (opcode . 3))
       (field ((type . OP) (name . operation)))
       (field ((type . KIND) (name . destination-kind)))
       (field ((type . KIND) (name . source-kind)))
       (pad ((bytes . 1)))
       (field ((type . WINDOW) (name . destination-window)))
       (field ((type . INT16) (name . x-offset)))
       (field ((type . INT16) (name . y-offset)))
       (field ((type . WINDOW) (name . source-window))))
     (request
       ((name . Offset) (opcode . 4))
       (field ((type . KIND) (name . destination-kind)))
       (pad ((bytes . 3)))
       (field ((type . WINDOW) (name . destination-window)))
       (field ((type . INT16) (name . x-offset)))
       (field ((type . INT16) (name . y-offset))))
     (request
       ((name . QueryExtents) (opcode . 5))
       (field ((type . WINDOW) (name . destination-window)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL) (name . bounding-shaped)))
              (field ((type . BOOL) (name . clip-shaped)))
              (pad ((bytes . 2)))
              (field ((type . INT16)
                      (name . bounding-shape-extents-x)))
              (field ((type . INT16)
                      (name . bounding-shape-extents-y)))
              (field ((type . CARD16)
                      (name . bounding-shape-extents-width)))
              (field ((type . CARD16)
                      (name . bounding-shape-extents-height)))
              (field ((type . INT16)
                      (name . clip-shape-extents-x)))
              (field ((type . INT16)
                      (name . clip-shape-extents-y)))
              (field ((type . CARD16)
                      (name . clip-shape-extents-width)))
              (field ((type . CARD16)
                      (name . clip-shape-extents-height)))))
     (request
       ((name . SelectInput) (opcode . 6))
       (field ((type . WINDOW) (name . destination-window)))
       (field ((type . BOOL) (name . enable))))
     (request
       ((name . InputSelected) (opcode . 7))
       (field ((type . WINDOW) (name . destination-window)))
       (reply ()
              (field ((type . BOOL) (name . enabled)))))
     (request
       ((name . GetRectangles) (opcode . 8))
       (field ((type . WINDOW) (name . window)))
       (field ((type . KIND) (name . source-kind)))
       (reply ()
              (field ((type . BYTE) (name . ordering)))
              (field ((type . CARD32) (name . rectangles-len)))
              (list ((type . RECTANGLE) (name . rectangles))
                    (fieldref () rectangles-len)))))
