;;; -*-scheme-*- (/home/ttn/local/share/xcb/xevie.xml)
(xcb ((header . xevie)
      (extension-xname . XEVIE)
      (extension-name . Xevie)
      (major-version . 1)
      (minor-version . 0))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD16)
               (name . client-major-version)))
       (field ((type . CARD16)
               (name . client-minor-version)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16)
                      (name . server-major-version)))
              (field ((type . CARD16)
                      (name . server-minor-version)))
              (pad ((bytes . 20)))))
     (request
       ((name . Start) (opcode . 1))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))))
     (request
       ((name . End) (opcode . 2))
       (field ((type . CARD32) (name . cmap)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))))
     (enum ((name . Datatype))
           (item ((name . Unmodified)))
           (item ((name . Modified))))
     (struct
       ((name . Event))
       (pad ((bytes . 32))))
     (request
       ((name . Send) (opcode . 3))
       (field ((type . Event) (name . event)))
       (field ((type . CARD32) (name . data-type)))
       (pad ((bytes . 64)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24)))))
     (request
       ((name . SelectInput) (opcode . 4))
       (field ((type . CARD32) (name . event-mask)))
       (reply ()
              (pad ((bytes . 1)))
              (pad ((bytes . 24))))))
