;;; -*-scheme-*- (/home/ttn/local/share/xcb/xf86dri.xml)
(xcb ((header . xf86dri)
      (extension-xname . XFree86-DRI)
      (extension-name . XF86Dri)
      (major-version . 4)
      (minor-version . 1))
     (struct
       ((name . DrmClipRect))
       (field ((type . INT16) (name . x1)))
       (field ((type . INT16) (name . y1)))
       (field ((type . INT16) (name . x2)))
       (field ((type . INT16) (name . x3))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . dri-major-version)))
              (field ((type . CARD16) (name . dri-minor-version)))
              (field ((type . CARD32) (name . dri-minor-patch)))))
     (request
       ((name . QueryDirectRenderingCapable)
        (opcode . 1))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . BOOL) (name . is-capable)))))
     (request
       ((name . OpenConnection) (opcode . 2))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . drm-client-key-low)))
              (field ((type . CARD32)
                      (name . drm-client-key-high)))
              (field ((type . CARD32) (name . sarea-handle-low)))
              (field ((type . CARD32) (name . sarea-handle-high)))
              (field ((type . CARD32) (name . bus-id-len)))
              (pad ((bytes . 12)))
              (list ((type . CARD8) (name . bus-id))
                    (fieldref () bus-id-len))))
     (request
       ((name . CloseConnection) (opcode . 3))
       (field ((type . CARD32) (name . screen))))
     (request
       ((name . GetClientDriverName) (opcode . 4))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32)
                      (name . client-driver-major-version)))
              (field ((type . CARD32)
                      (name . client-driver-minor-version)))
              (field ((type . CARD32)
                      (name . client-driver-patch-version)))
              (field ((type . CARD32)
                      (name . client-driver-name-len)))
              (pad ((bytes . 8)))
              (list ((type . CARD8) (name . client-driver-name))
                    (fieldref () client-driver-name-len))))
     (request
       ((name . CreateContext) (opcode . 5))
       (field ((type . CARD32) (name . visual)))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . context)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . hw-context)))))
     (request
       ((name . DestroyContext) (opcode . 6))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . context))))
     (request
       ((name . CreateDrawable) (opcode . 7))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . drawable)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . hw-drawable-handle)))))
     (request
       ((name . DestroyDrawable) (opcode . 8))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . drawable))))
     (request
       ((name . GetDrawableInfo) (opcode . 9))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . drawable)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32)
                      (name . drawable-table-index)))
              (field ((type . CARD32)
                      (name . drawable-table-stamp)))
              (field ((type . INT16) (name . drawable-origin-X)))
              (field ((type . INT16) (name . drawable-origin-Y)))
              (field ((type . INT16) (name . drawable-size-W)))
              (field ((type . INT16) (name . drawable-size-H)))
              (field ((type . CARD32) (name . num-clip-rects)))
              (pad ((bytes . 4)))
              (list ((type . DrmClipRect) (name . clip-rects))
                    (fieldref () num-clip-rects))))
     (request
       ((name . GetDeviceInfo) (opcode . 10))
       (field ((type . CARD32) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32)
                      (name . framebuffer-handle-low)))
              (field ((type . CARD32)
                      (name . framebuffer-handle-high)))
              (field ((type . CARD32)
                      (name . framebuffer-origin-offset)))
              (field ((type . CARD32) (name . framebuffer-size)))
              (field ((type . CARD32) (name . framebuffer-stride)))
              (field ((type . CARD32)
                      (name . device-private-size)))
              (list ((type . CARD32) (name . device-private))
                    (fieldref () device-private-size))))
     (request
       ((name . AuthConnection) (opcode . 11))
       (field ((type . CARD32) (name . screen)))
       (field ((type . CARD32) (name . magic)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . authenticated))))))
