;;; -*-scheme-*- (/home/ttn/local/share/xcb/xinerama.xml)
(xcb ((header . xinerama)
      (extension-xname . XINERAMA)
      (extension-name . Xinerama)
      (major-version . 1)
      (minor-version . 1))
     (import () xproto)
     (struct
       ((name . ScreenInfo))
       (field ((type . INT16) (name . x-org)))
       (field ((type . INT16) (name . y-org)))
       (field ((type . CARD16) (name . width)))
       (field ((type . CARD16) (name . height))))
     (request
       ((name . QueryVersion) (opcode . 0))
       (field ((type . CARD8) (name . major)))
       (field ((type . CARD8) (name . minor)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD16) (name . major)))
              (field ((type . CARD16) (name . minor)))))
     (request
       ((name . GetState) (opcode . 1))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (field ((type . BYTE) (name . state)))
              (field ((type . WINDOW) (name . window)))))
     (request
       ((name . GetScreenCount) (opcode . 2))
       (field ((type . WINDOW) (name . window)))
       (reply ()
              (field ((type . BYTE) (name . screen-count)))
              (field ((type . WINDOW) (name . window)))))
     (request
       ((name . GetScreenSize) (opcode . 3))
       (field ((type . WINDOW) (name . window)))
       (field ((type . SCREEN) (name . screen)))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . width)))
              (field ((type . CARD32) (name . height)))
              (field ((type . WINDOW) (name . window)))
              (field ((type . SCREEN) (name . screen)))))
     (request
       ((name . IsActive) (opcode . 4))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . state)))))
     (request
       ((name . QueryScreens) (opcode . 5))
       (reply ()
              (pad ((bytes . 1)))
              (field ((type . CARD32) (name . number)))
              (pad ((bytes . 20)))
              (list ((type . ScreenInfo) (name . screen-info))
                    (fieldref () number)))))
